Commit 46aa25ae authored by Matija Obreza's avatar Matija Obreza
Browse files

v1.0.0-alpha11

parent bd524a46
...@@ -12,8 +12,8 @@ Add Javascript dependencies to your page: ...@@ -12,8 +12,8 @@ Add Javascript dependencies to your page:
```html ```html
<script src="https://cdn.jsdelivr.net/npm/lodash@4.17.20/lodash.min.js"></script> <script src="https://cdn.jsdelivr.net/npm/lodash@4.17.20/lodash.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha10/dist/genesys-deps.js"></script> <script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha11/dist/genesys-deps.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha10/dist/genesys-ui.js"></script> <script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha11/dist/genesys-ui.js"></script>
<!-- Optionally use bootstrap CSS --> <!-- Optionally use bootstrap CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" /> <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" />
``` ```
...@@ -67,7 +67,7 @@ to *@geneesys-pgr/ui-embedded*: ...@@ -67,7 +67,7 @@ to *@geneesys-pgr/ui-embedded*:
|`clientSecret` | **Required** | Ditto. | |`clientSecret` | **Required** | Ditto. |
|`filter` |`undefined` | Allows for narrowing the scope of requested accession data from Genesys API. <br />To filter for accessions from your genebank, use: `{ institute: { code: ['XXX000'] } }` with the FAO WIEWS Code of your genebank. Default `undefined` value will return all accessions. | |`filter` |`undefined` | Allows for narrowing the scope of requested accession data from Genesys API. <br />To filter for accessions from your genebank, use: `{ institute: { code: ['XXX000'] } }` with the FAO WIEWS Code of your genebank. Default `undefined` value will return all accessions. |
|`language`|`'en'`| Specify the language of the user interface.<br />Fully supported: `en`<br />Partially supported: `es` | |`language`|`'en'`| Specify the language of the user interface.<br />Fully supported: `en`<br />Partially supported: `es` |
|`title`|`'Genesys | '`| HTML title prefix | |`title`|`'Genesys |'`| HTML title prefix |
| `accession` | `{ ... }` | See *Accession* configuration options | | `accession` | `{ ... }` | See *Accession* configuration options |
| `shoppingCart` | `{ ... }` | See *Shopping cart* configuration options | | `shoppingCart` | `{ ... }` | See *Shopping cart* configuration options |
......
...@@ -55,8 +55,8 @@ ...@@ -55,8 +55,8 @@
felis nec auctor ultrices.</p> felis nec auctor ultrices.</p>
</div> </div>
<script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha10/dist/genesys-deps.js"></script> <script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha11/dist/genesys-deps.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha10/dist/genesys-ui.js"></script> <script src="https://cdn.jsdelivr.net/npm/@genesys-pgr/ui-embedded@1.0.0-alpha11/dist/genesys-ui.js"></script>
<script type="text/javascript"> <script type="text/javascript">
// Detect language from query string // Detect language from query string
const queryLang = document.location.search && document.location.search.substr(1) || undefined; const queryLang = document.location.search && document.location.search.substr(1) || undefined;
......
{ {
"name": "@genesys-pgr/ui-embedded", "name": "@genesys-pgr/ui-embedded",
"version": "1.0.0-alpha10", "version": "1.0.0-alpha11",
"publishConfig": { "publishConfig": {
"access": "public" "access": "public"
}, },
...@@ -40,12 +40,12 @@ ...@@ -40,12 +40,12 @@
"react": "^16.0.0", "react": "^16.0.0",
"react-dom": "^16.0.0", "react-dom": "^16.0.0",
"react-google-recaptcha": "^2.0.0", "react-google-recaptcha": "^2.0.0",
"react-helmet-async": "^1.0.0",
"react-i18next": "^11.0.0", "react-i18next": "^11.0.0",
"react-redux": "^7.0.0", "react-redux": "^7.0.0",
"react-router-dom": "^5.0.0", "react-router-dom": "^5.0.0",
"redux": "^4.0.0", "redux": "^4.0.0",
"redux-thunk": "^2.0.0", "redux-thunk": "^2.0.0"
"react-helmet-async": "^1.0.0"
}, },
"devDependencies": { "devDependencies": {
"@types/react": "^16.0.0", "@types/react": "^16.0.0",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment